# Generated by Django 4.0.3 on 2023-04-19 19:47

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('shoes_rest', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bin',
            fields=[
                ('id', models.CharField(max_length=50, primary_key=True, serialize=False)),
                ('href', models.CharField(max_length=50)),
                ('closet_name', models.CharField(max_length=50)),
                ('bin_number', models.CharField(max_length=50)),
                ('bin_size', models.CharField(max_length=50)),
            ],
        ),
        migrations.AddField(
            model_name='shoe',
            name='import_href',
            field=models.CharField(default=django.utils.timezone.now, max_length=200),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='shoe',
            name='bin',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='shoes_rest.bin'),
        ),
    ]
